Bug 105982 - Focus of apps do not come back after close a window
Summary: Focus of apps do not come back after close a window
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-30 04:46 UTC by Eugenia Loli-Queru
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-04 06:03:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugenia Loli-Queru 2003-09-30 04:46:53 UTC
Description of problem:
Open gnometris and start playing a bit. Open another app (e.g. epiphany) and
then close this new app. The focus is not back to gnometris, but to the desktop.
This is quite annoying behavior. On windows, it remembers which app had the
focus before, and it defaults there.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. easy...
2.
3.
    

Additional info:

Comment 1 Havoc Pennington 2003-10-04 05:14:51 UTC
Mouse focus or click to focus?

Happening with 2.6.2?



Comment 2 Eugenia Loli-Queru 2003-10-04 05:18:58 UTC
>Mouse focus or click to focus?

Click to focus.

>Happening with 2.6.2?

I don't know what version of metacity it is. I just use Gnome 2.4 on Fedora 
and Slackware, it happens on both.

Comment 3 Havoc Pennington 2003-10-04 06:03:52 UTC
Ah, I see the problem I think. 
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=123816
Thanks.


Note You need to log in before you can comment on or make changes to this bug.